gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-anastasis] branch master updated: -fix use exit helpers


From: gnunet
Subject: [taler-anastasis] branch master updated: -fix use exit helpers
Date: Sun, 22 Aug 2021 11:01:43 +0200

This is an automated email from the git hooks/post-receive script.

ms pushed a commit to branch master
in repository anastasis.

The following commit(s) were added to refs/heads/master by this push:
     new f3e9cdf  -fix use exit helpers
f3e9cdf is described below

commit f3e9cdf9fb369f04195ea531ac828980628b48e8
Author: MS <ms@taler.net>
AuthorDate: Sat Aug 21 22:01:38 2021 -1100

    -fix use exit helpers
---
 src/cli/test_iban.sh | 18 ++++++------------
 1 file changed, 6 insertions(+), 12 deletions(-)

diff --git a/src/cli/test_iban.sh b/src/cli/test_iban.sh
index d5bceda..4da6a32 100755
--- a/src/cli/test_iban.sh
+++ b/src/cli/test_iban.sh
@@ -62,23 +62,19 @@ trap cleanup EXIT
 #echo " DONE"
 
 if ! libeufin-cli --version &> /dev/null; then
-  echo "libeufin-cli not found"
-  exit 77;
+  exit_skip "libeufin-cli not found"
 fi
 
 if ! libeufin-nexus --version &> /dev/null; then
-  echo "libeufin-nexus not found"
-  exit 77;
+  exit_skip "libeufin-nexus not found"
 fi
 
 if ! libeufin-sandbox --version &> /dev/null; then
-  echo "libeufin-sandbox not found"
-  exit 77;
+  exit_skip "libeufin-sandbox not found"
 fi
 
 if ! psql -d anastasischeck -c "\q" &> /dev/null; then
-  echo "Postgresql database 'anastasischeck' not reachable"
-  exit 77
+  exit_skip "Postgresql database 'anastasischeck' not reachable"
 fi
 
 CURRENCY="TESTKUDOS"
@@ -91,8 +87,7 @@ echo "Starting Nexus .."
 libeufin-nexus serve &> nexus.log &
 nexus_pid=$!
 if ! curl -s --retry 5 --retry-connrefused $NEXUS_URL > /dev/null; then
-  echo "Could not launch Nexus"
-  exit 77
+  exit_skip "Could not launch Nexus"
 fi
 echo "Nexus started."
 
@@ -100,8 +95,7 @@ echo "Starting Sandbox .."
 libeufin-sandbox serve &> sandbox.log &
 sandbox_pid=$!
 if ! curl -s --retry 5 --retry-connrefused $SANDBOX_URL > /dev/null; then
-  echo "Could not launch Sandbox"
-  exit 77
+  exit_skip "Could not launch Sandbox"
 fi
 echo "Sandbox started."
 

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]